edu.sc.seis.sod.status

## Class MicroSecondTimeRangeFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.MicroSecondTimeRangeFormatter

- All Implemented Interfaces:
    MicroSecondTimeRangeTemplate

      public class MicroSecondTimeRangeFormatter
      extends Template
      implements MicroSecondTimeRangeTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MicroSecondTimeRangeFormatter(org.w3c.dom.Element el)`
    `MicroSecondTimeRangeFormatter(org.w3c.dom.Element el, boolean fileize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult(edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MicroSecondTimeRangeFormatter

          public MicroSecondTimeRangeFormatter(org.w3c.dom.Element el)
                                        throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### MicroSecondTimeRangeFormatter

          public MicroSecondTimeRangeFormatter(org.w3c.dom.Element el,
                                               boolean fileize)
                                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `Template`

    - #### getResult

          public java.lang.String getResult(edu.sc.seis.fissuresUtil.time.MicroSecondTimeRange timeRange)

      Specified by:
        `getResult` in interface `MicroSecondTimeRangeTemplate`